//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2011)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org


#ifndef __ATTRIBLAYERS_H__
#define __ATTRIBLAYERS_H__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/colordlg.h>
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
////Header Include End

#include "viewer_gui1Frm.h"

////Dialog Style Start
#undef attribLayers_STYLE
#define attribLayers_STYLE wxCAPTION | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class attribLayers : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		attribLayers(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Names and colors"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = attribLayers_STYLE);
		virtual ~attribLayers();
		void WxButtonSetColorClick(wxCommandEvent& event);
		void WxButtonOKSetAttLayerClick(wxCommandEvent& event);
		wxString getNameLayer();
		wxString getColLayer();
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxColourDialog *WxColourDialogLayer;
		wxButton *WxButtonOKSetAttLayer;
		wxButton *WxButtonSetColor;
		wxStaticText *WxStaticText2;
		wxTextCtrl *WxEditNameGeol;
		wxStaticText *WxStaticText1;
		wxString colours;
		wxString nameGeol;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXBUTTONOKSETATTLAYER = 1006,
			ID_WXBUTTONSETCOLOR = 1005,
			ID_WXSTATICTEXT2 = 1003,
			ID_WXEDITNAMEGEOL = 1002,
			ID_WXSTATICTEXT1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
