//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2010)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org

#include <iostream>
#include <string>

using namespace std;


class genFaces
{
  public:
         genFaces(){};
         ~genFaces(){};
         void calcNumFacesFromGRID(long numCols, long numRows);
         long getNumberFaces() const {return num_faces;}
//         void setVerticesGRID(double vX[], double vY[], double vZ[], long vID[]);
         void vertexFacesID(long vID1[], long vID2[], long vID3[]);
  private:
        long num_faces;
        long *vertID1;
        long *vertID2;
        long *vertID3;
        long ncols;
        long nrows;
};
